this.name        = "escape_pod_as_standard"; 
this.author      = "Redspear"; 
this.copyright   = "2021 Redspear";
this.licence     = "CC BY-NC-SA 4.0"; 
this.description = "Script to add escape pod to the player ship"; 
this.version     = "1.2";

"use strict";

// make sure player ship has working escape pod
this.startUp = this.shipWillLaunchFromStation = function()
{
	this.$escapeFlag = 0;	// reset flag
	
	if (player.ship.equipmentStatus("EQ_ESCAPE_POD") != "EQUIPMENT_OK")
		{player.ship.removeEquipment("EQ_ESCAPE_POD");
		player.ship.awardEquipment("EQ_ESCAPE_POD");}
	
	else
	return
}
		
this.shipLaunchedEscapePod = function()
{
    this.$escapeFlag = 1;	// eject recorded
}

this.shipDockedWithStation = function()
{
	if (this.$escapeFlag == 1)	// eject detected
	
		{
		
		if (player.ship.equipmentStatus("EQ_ECM") == "EQUIPMENT_OK")
			{player.ship.setEquipmentStatus("EQ_ECM", "EQUIPMENT_DAMAGED");}

		if (player.ship.equipmentStatus("EQ_FUEL_SCOOPS") == "EQUIPMENT_OK")
			{player.ship.setEquipmentStatus("EQ_FUEL_SCOOPS", "EQUIPMENT_DAMAGED");}

		if (player.ship.equipmentStatus("EQ_ENERGY_UNIT") == "EQUIPMENT_OK")
			{player.ship.setEquipmentStatus("EQ_ENERGY_UNIT", "EQUIPMENT_DAMAGED");}
	
		if (player.ship.equipmentStatus("EQ_DOCK_COMP") == "EQUIPMENT_OK")
			{player.ship.setEquipmentStatus("EQ_DOCK_COMP", "EQUIPMENT_DAMAGED");}	
	
		if (player.ship.equipmentStatus("EQ_GAL_DRIVE") == "EQUIPMENT_OK")
			{player.ship.setEquipmentStatus("EQ_GAL_DRIVE", "EQUIPMENT_DAMAGED");}	
	
		if (player.ship.equipmentStatus("EQ_SCANNER_SHOW_MISSILE_TARGET") == "EQUIPMENT_OK")
			{player.ship.setEquipmentStatus("EQ_SCANNER_SHOW_MISSILE_TARGET", "EQUIPMENT_DAMAGED");}
	
		if (player.ship.equipmentStatus("EQ_MULTI_TARGET") == "EQUIPMENT_OK")
			{player.ship.setEquipmentStatus("EQ_MULTI_TARGET", "EQUIPMENT_DAMAGED");}
	
		if (player.ship.equipmentStatus("EQ_ADVANCED_COMPASS") == "EQUIPMENT_OK")
			{player.ship.setEquipmentStatus("EQ_ADVANCED_COMPASS", "EQUIPMENT_DAMAGED");}
	
		if (player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") == "EQUIPMENT_OK")
			{player.ship.setEquipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY", "EQUIPMENT_DAMAGED");}
	
		if (player.ship.equipmentStatus("EQ_TARGET_MEMORY") == "EQUIPMENT_OK")
			{player.ship.setEquipmentStatus("EQ_TARGET_MEMORY", "EQUIPMENT_DAMAGED");}
	
		if (player.ship.equipmentStatus("EQ_INTEGRATED_TARGETING_SYSTEM") == "EQUIPMENT_OK")
			{player.ship.setEquipmentStatus("EQ_INTEGRATED_TARGETING_SYSTEM", "EQUIPMENT_DAMAGED");}
	
		if (player.ship.equipmentStatus("EQ_SHIELD_BOOSTER") == "EQUIPMENT_OK")
			{player.ship.setEquipmentStatus("EQ_SHIELD_BOOSTER", "EQUIPMENT_DAMAGED");}
	
		if (player.ship.equipmentStatus("EQ_NAVAL_SHIELD_BOOSTER") == "EQUIPMENT_OK")
			{player.ship.setEquipmentStatus("EQ_NAVAL_SHIELD_BOOSTER", "EQUIPMENT_DAMAGED");}
	
		if (player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") == "EQUIPMENT_OK")
			{player.ship.setEquipmentStatus("EQ_WORMHOLE_SCANNER", "EQUIPMENT_DAMAGED");}
		
		}

}